StepAudio 2.5 Chat

StepAudio 2.5 Chat
StepFun · Text Generation
POST /v1/chat/completions

StepFun audio and text conversation model with text output and paralinguistic understanding.

At a glance

FieldValue
Model idstepaudio-2-5-chat
Model release date-
Input modalitiesText, Audio
Output modalitiesText
Context window256K
Weight precision-
Max output tokens131,072
RegionInternational
Featuresaudio_input, speech_understanding, prompt_cache, multimodal, web_search
Native inferenceNo
NewYes
Structured outputJSON Mode
Supported endpointsPOST /v1/chat/completions, POST /v1/responses, POST /v1/messages, POST /v1beta/models/stepaudio-2-5-chat:generateContent

Pricing

ChargeSpecRate
Inputper 1M prompt tokens$1.43
Outputper 1M generated tokens$3.57
Implicit cache readper 1M cached input tokens$0.29
Web Search (Linkup)per call when invoked$0.013

Example request

$curl https://api.empiriolabs.ai/v1/chat/completions \
> -H 'Authorization: Bearer $EMPIRIOLABS_API_KEY' \
> -H 'Content-Type: application/json' \
> -d '{"model": "stepaudio-2-5-chat", "messages": [{"role":"user","content":"Hello"}]}'

Parameters

ParameterTypeRequiredDefaultDescription
temperaturenumberno0.5Sampling temperature. · Range: 0 – 2
top_pnumberno0.9Nucleus sampling probability mass. · Range: 0 – 1
max_tokensintegerno4096Maximum output tokens. Reasoning tokens count toward this limit. · Range: 1 – 131072
stoparrayno-Stop sequences.
frequency_penaltynumberno0Penalty for repeated tokens. · Range: 0 – 1
modalitiesarrayno["text"]Response modalities. Text output is currently exposed.
response_formatobjectno-OpenAI-compatible response format. Use {“type”:“json_object”} for JSON object mode.
reasoning_formatenumno"general"Reasoning trace format returned by StepFun. · Allowed: general, deepseek-style
toolsarrayno-OpenAI-compatible function tools.
tool_choicestringno-OpenAI-compatible tool choice.
web_search_linkupbooleannofalseOptional web search powered by Linkup. When enabled, recent web sources are retrieved using your latest user message as the query and provided to the model as additional context. Adds $0.013 per call when invoked on top of the model’s normal token cost. Disabled by default.

Notes

Accepts text or base64 audio input and returns text. Linkup web search is available for text prompts. Public USD pricing is converted from StepFun official CNY pricing at 7 CNY per USD, matching the conversion basis used by StepFun English pricing rows.


Machine-readable schema: GET https://api.empiriolabs.ai/v1/models/stepaudio-2-5-chat.